%global momorel 2
%global xfce4ver 4.4.2

Summary:        Radio plugin for the Xfce panel
Name:           xfce4-radio-plugin
Version:        0.2.0
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/System
Source0:        http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
NoSource:	0
# Source0-md5:  b67b164266a58f3651201be11b6aea04
URL:            http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
#BuildRequires:  rpmbuild(macros) >= 1.311
BuildRequires:  xfce4-dev-tools >= 4.4.0.1
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
#Requires(post,postun):  gtk+2
#Requires(post,postun):  hicolor-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is an Xfce panel plugin which allows you to control your V4l
radio device. You can turn your radio on/off, tune it to some
frequency and manage station presets.

%prep
%setup -q

%build
%configure --libexecdir=%{_libdir}
%{__make}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*.png

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-1m)
- initial Momonga package base on PLD
